---
title: "POST Search Memories"
description: "Search for memories based on a query."
last_updated: "2026-05-07T04:47:26.205927+00:00"
canonical_url: "https://www.doc0.dev/docs/faa36707-7c28-4f69-a18f-700ff61c704e/api/endpoints/search-memories-search-post"
---

<APIEndpoint
  method={"POST"}
  path={"/search"}
  summary={"Search Memories"}
  description={"Search for memories based on a query."}
  deprecated={false}
  baseUrl={""}
/>

## Request Body

The search query and optional filters.

<APIRequestBody
  contentType={"application/json"}
  required={true}
  schema={{"type":"object","properties":{}}}
/>

## Responses

<APIResponse
  statusCode={"200"}
  description={"Successful Response"}
  contentType={"application/json"}
  schema={{"type":"object","properties":{}}}
/>

<APIResponse
  statusCode={"500"}
  description={"Internal Server Error"}
  contentType={"application/json"}
  schema={{"type":"object","properties":{}}}
/>

## Try It

<APIPlayground
  method={"POST"}
  path={"/search"}
  parameters={[]}
  requestBody={{"contentType":"application/json","required":true,"description":"The search query and optional filters.","schema":{"type":"object","properties":{}}}}
  baseUrl={""}
/>


## Sitemap

See the full [sitemap](https://www.doc0.dev/docs/faa36707-7c28-4f69-a18f-700ff61c704e/llms.txt) for all pages in this wiki.
